#!/bin/bash

clear

echo
echo --------------------------------------------------------------------------------

cd "`dirname "$0"`"
mkdir -p ~/Library/Address\ Book\ Plug-Ins
mkdir -p ~/Library/Frameworks

echo "Copying GMP/BTGoogleMaps.bundle"
echo "        --> $HOME/Library/Address Book Plug-Ins"
cp -R -f GMP/BTGoogleMaps.bundle ~/Library/Address\ Book\ Plug-Ins

echo "Copying GMP/BTGoogleEarth.bundle"
echo "        --> $HOME/Library/Address Book Plug-Ins"
cp -R -f GMP/BTGoogleEarth.bundle ~/Library/Address\ Book\ Plug-Ins

echo "Copying GMP/BTGoogleDirections.bundle"
echo "        --> $HOME/Library/Address Book Plug-Ins"
cp -R -f GMP/BTGoogleDirections.bundle ~/Library/Address\ Book\ Plug-Ins

echo "Copying GMP/BTGooglePreferences.bundle"
echo "        --> $HOME/Library/Address Book Plug-Ins"
cp -R -f GMP/BTGooglePreferences.bundle ~/Library/Address\ Book\ Plug-Ins

echo "Copying GMP/GoogleMapsShared.framework"
echo "        --> $HOME/Library/Frameworks"
rm -R -f ~/Library/Frameworks/GoogleMapsShared.framework
cp -R -f GMP/GoogleMapsShared.framework ~/Library/Frameworks

echo 
echo --------------------------------------------------------------------------------
echo
read -n 1 -p "Press any key to close..."
echo
echo
echo "You may close this window at any time"
echo
exit